//Create app namespace
window.app = {};

$(function () {
	//Global call for position querying
	app.getPosition = function (handler) {
		navigator.geolocation.getCurrentPosition(handler);
	};

	//Instantiate our model and datasource
	app.model = new app.Model();
	app.dataSource = new app.DataSource();

	//Global google maps options
	var mapOptions = {
		center: new google.maps.LatLng(-34.397, 150.644),
		zoom: 8,
		disableDefaultUI: true
	};

	//Global map API instance
	app.map = new google.maps.Map(document.getElementById("map-canvas"), mapOptions);

	//We have different views for different screen parts
	app.views = {
		userList: new app.UserList(),
		openedList: new app.ConversationList('#conversation-list .opened', true),
		publicList: new app.ConversationList('#conversation-list .public'),
		conversation: new app.Conversation()
	};
});